org.apache.http.impl.conn

## Class DefaultProxyRoutePlanner

- java.lang.Object
- - org.apache.http.impl.conn.DefaultRoutePlanner
  - - org.apache.http.impl.conn.DefaultProxyRoutePlanner

- All Implemented Interfaces:
    HttpRoutePlanner

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultProxyRoutePlanner
      extends DefaultRoutePlanner

  Implementation of an `HttpRoutePlanner` that routes requests through a default proxy.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProxyRoutePlanner(org.apache.http.HttpHost proxy)`
    `DefaultProxyRoutePlanner(org.apache.http.HttpHost proxy, SchemePortResolver schemePortResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.http.HttpHost` | `determineProxy(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` This implementation returns null.

    - ### Methods inherited from class org.apache.http.impl.conn.DefaultRoutePlanner

      `determineRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProxyRoutePlanner

          public DefaultProxyRoutePlanner(org.apache.http.HttpHost proxy,
                                  SchemePortResolver schemePortResolver)

    - #### DefaultProxyRoutePlanner

          public DefaultProxyRoutePlanner(org.apache.http.HttpHost proxy)

  - ### Method Detail

    - #### determineProxy

          protected org.apache.http.HttpHost determineProxy(org.apache.http.HttpHost target,
                                                org.apache.http.HttpRequest request,
                                                org.apache.http.protocol.HttpContext context)
                                                     throws org.apache.http.HttpException

      Description copied from class: `DefaultRoutePlanner`
      This implementation returns null.
      Overrides:
        `determineProxy` in class `DefaultRoutePlanner`
      Throws:
        `org.apache.http.HttpException` - may be thrown if overridden

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.